unit AMHDateLabel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TDateFormat = (ddmmyy, ddmmmyy, ddmmmyyyy);

  TAMHDateLabel = class(TLabel)
  private
    { Private-Deklarationen }
    FFormat: TDateFormat;
    FTimer: TTimer;
    procedure SetFormat(Value: TDateFormat);
  protected
    { Protected-Deklarationen }
    procedure OnTimer(Sender: TObject);
  public
    { Public-Deklarationen }
    constructor Create(AnOwner: TComponent); override;
    destructor Destroy; override;
  published
    { Published-Deklarationen }
    property Format: TDateFormat read FFormat write SetFormat;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('AMH Free', [TAMHDateLabel]);
end;

constructor TAMHDateLabel.Create(AnOwner: TComponent);
begin
  inherited Create(AnOwner);
  FTimer := TTimer.Create(Self);
  FTimer.OnTimer := OnTimer;
  FFormat := ddmmyy;
  SetFormat(FFormat);
end;

destructor TAMHDateLabel.Destroy;
begin
  FTimer.Free;
  inherited Destroy;
end;

procedure TAMHDateLabel.OnTimer(Sender: TObject);
begin
  case FFormat of
       ddmmyy: Caption := FormatDateTime('dd.mm.yy', Date);
       ddmmmyy: Caption := FormatDateTime('dd.mmm.yy', Date);
       ddmmmyyyy: Caption := FormatDateTime('dd.mmm.yyyy', Date);
  end;
end;

procedure TAMHDateLabel.SetFormat(Value: TdateFormat);
begin
  if Value <> FFormat then
     FFormat := Value;
end;

end.
